### Method

# FwupdPlugin Device get_context

since: 1.6.0

#### Declaration [src]

    FuContext*
    fu_device_get_context (
      FuDevice* self
    )

#### Description [src]

Gets the context assigned for this device.

Available since: 1.6.0

Gets property | `FwupdPlugin.Device:context`

#### Return value

Type: `FuContext`

The `FuContext` object, or `NULL`.

The data is owned by the instance.